/*
getlot.c  Version 0.3.0 Little Lotto Odds
Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/*
Usage:
    	int select;
    	double odds;
    	double getlot(int select);
    	odds = getlot(select);
*/

#include <stdio.h>
#include <stdlib.h>

#define THIRTYNINE 39

double getlot(select)
int select;
   {
   double odds;
   double max39;
   double topwin,toplose;
   double top;
   double bottom;
   double dbl39,dbl34;
   double combo(int n, int r);

   if (select < 2 || select > 5)
      {
      fprintf(stderr,"getlot: invalid select %d\n",
         select);
      exit(1);
      } /* invalid select */

   max39 = THIRTYNINE;
   dbl39 = (double) max39;
   dbl34 = dbl39 - 5.0;

   if (select == 5)
      {
      top = combo(5,5);
      bottom = combo(max39,5);
      odds = bottom / top;
      return(odds);
      } /* 5 */

   else if (select == 4)
      {
      topwin  = combo(5,select);
      toplose = combo(34,1);
      top = topwin * toplose;
      bottom = combo(max39,5);
      odds = bottom / top;
      return(odds);
      } /* 4 */

   else if (select == 3)
      {
      topwin  = combo(5,select);
      toplose = combo(34,2);
      top = topwin * toplose;
      bottom = combo(max39,5);
      odds = bottom / top;
      return(odds);
      } /* 3 */

   else if (select == 2)
      {
      topwin  = combo(5,select);
      toplose = combo(34,3);
      top = topwin * toplose;
      bottom = combo(max39,5);
      odds = bottom / top;
      return(odds);
      } /* 2 */

   fprintf(stderr,"getlot: edit failed "
      "when select is %d\n", select);
   exit(1);
   } /* getlot */
